<?php
/**
 * Copyright (C) [LJCMS] All rights reserved.
 * <E-Mail：aspcms@qq.com>
 * Url http://www.liangjing.org
 *     http://www.8CMS.com
 * Update 2016.03.21
 */
//载入主文件
require_once("source/core/run.php");
require_once("source/core/util/function.iswap.php");
if (false == mobile_device_detect()) {
    XHandle::redirect(PATH_URL."index.php");
}
$c = XRequest::getGpc('c');
$a = XRequest::getGpc('a');
$c = empty($c) ? 'index' : $c;
$a = empty($a) ? 'run' : $a;
define("GB_LJCMS_C", $c);
define("GB_LJCMS_A", $a);
//Controller白名单
if (!in_array($c, $open_wapc_control)) {
    XHandle::error("Controller [{$c}] is forbiden!");
}
//载入Controller文件
$control_base = BASE_ROOT."source/control/wapbase.php";
$hoook_base = BASE_ROOT."source/control/apphook.php";
$control_path = BASE_ROOT."source/control/wap/{$c}.php";
if (!file_exists($control_path)) {
    XHandle::error("Controller file:[{$c}] not found!");
}
else {
    require_once($control_base);
    require_once($hoook_base);
    require_once($control_path);
    $control = new control();
    $method = 'control_' . $a;
    if (method_exists($control, $method) && $a{0} != '_') {
        $control->$method();
    }
    else {
        XHandle::error("Controller Action [{$a}] not found!");
    }
    unset($control, $method);
}
?>
